/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sdsimulator;
import sdsimulator.interfaz.VentanaPrincipal; //Main se encarga de pintarla.
import java.awt.Color;

/**
 *
 * @author Miguel Herreros
 */
public class Main {
    final static int anchoTraza=100;
    public static Color FONDO    =Color.WHITE; //new java.awt.Color(255,255,250);
    public static Color NUEVO    =Color.BLACK;
    public static Color PENDIENTE=Color.ORANGE;
    public static Color COMPLETO =Color.BLUE;
    public static Color EN_CURSO =Color.RED;
    
    public static int     FRECUENCIA_EJECUCION_DEFECTO=5;
    public static int     FRECUENCIA_LLEGADA_ASINCRONOS_DEFECTO=8;
    public static boolean PRIORIDAD_ASINCRONOS_ANTIGUOS_DEFECTO=false;
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
       //esto establece la apariencia de la aplicación.
        try {
            javax.swing.UIManager.setLookAndFeel(
            javax.swing.UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e) { }
        
        new VentanaPrincipal().setVisible(true);
    }
}
    
